Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.feed
Interface Feed

All Known Implementing Classes:
  AdjacentTextNodeMergerFeed, AtomizerFeed, AvgFeed, BufferingFeed, CardinalityCheckingFeed, ComplexNodeEventFeed, CountFeed, DecomposingFeed, DistinctValuesFeed, EmptyTextNodeRemoverFeed, EventFeed, FilterExpressionFeed, ForEachFeed, ForkingFeed, GeneralComparisonFeed, ItemFeed, ItemMappingFeed, MinimaxFeed, NextIterationFeed, SimpleNodeConstructorFeed, StringJoinFeed, SumFeed, WithParamFeed

    public interface Feed

A Feed is a SequenceReceiver that accepts a sequence of items in composed form: it rejects events such as startElement and endElement that represent "decomposed" nodes in the data model. Typically it computes some result based on this sequence, which is either passed on to another Feed in a pipeline, or is available through a subclass-specific method on completion.

Method Summary
`void` | `append(Item item)` Supply an item to the feed
`void` | `close()` Signal the end of the sequence of items
`PipelineConfiguration` | `getPipelineConfiguration()` Get the pipeline configuration
`void` | `open()` Signal the start of a sequence of items

Method Detail

### getPipelineConfiguration

    PipelineConfiguration getPipelineConfiguration()

  Get the pipeline configuration

  Returns:
    the pipeline configuration

### open

    void open()
              throws XPathException

  Signal the start of a sequence of items

  Throws:
    `XPathException` - to report any failure

### append

    void append(Item item)
                throws XPathException

  Supply an item to the feed

  Parameters:
    `item` - the item being fed
  Throws:
    `XPathException` - to report any failure

### close

    void close()
               throws XPathException

  Signal the end of the sequence of items

  Throws:
    `XPathException` - to report any failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.